editSettings
Usage
// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));
// Call the API
var response = await client.SetDictionarySettingsAsync(
new DictionarySettingsParams
{
DisableStandardEntries = new StandardEntries
{
Plurals = new Dictionary<string, Boolean>
{
{ "fr", false },
{ "en", false },
{ "ru", true },
},
},
}
);
// print the response
Console.WriteLine(response);
// Initialize the client
final client =
SearchClient(appId: 'ALGOLIA_APPLICATION_ID', apiKey: 'ALGOLIA_API_KEY');
// Call the API
final response = await client.setDictionarySettings(
dictionarySettingsParams: DictionarySettingsParams(
disableStandardEntries: StandardEntries(
plurals: {
'fr': false,
'en': false,
'ru': true,
},
),
),
);
// print the response
print(response);
// Initialize the client
client, err := search.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.SetDictionarySettings(client.NewApiSetDictionarySettingsRequest(
search.NewEmptyDictionarySettingsParams().SetDisableStandardEntries(
search.NewEmptyStandardEntries().SetPlurals(map[string]bool{"fr": false, "en": false, "ru": true}))))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)
// Initialize the client
SearchClient client = new SearchClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY");
// Call the API
UpdatedAtResponse response = client.setDictionarySettings(
new DictionarySettingsParams().setDisableStandardEntries(
new StandardEntries().setPlurals(
new HashMap() {
{
put("fr", false);
put("en", false);
put("ru", true);
}
}
)
)
);
// print the response
System.out.println(response);
// Initialize the client
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
const response = await client.setDictionarySettings({
disableStandardEntries: { plurals: { fr: false, en: false, ru: true } },
});
// print the response
console.log(response);
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
var response =
client.setDictionarySettings(
dictionarySettingsParams =
DictionarySettingsParams(
disableStandardEntries =
StandardEntries(plurals = mapOf("fr" to false, "en" to false, "ru" to true))
)
)
// print the response
println(response)
// Initialize the client
$client = SearchClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY');
// Call the API
$response = $client->setDictionarySettings(
['disableStandardEntries' => ['plurals' => ['fr' => false,
'en' => false,
'ru' => true,
],
],
],
);
// print the response
var_dump($response);
# Initialize the client
# In an asynchronous context, you can use SearchClient instead, which exposes the exact same methods.
client = SearchClientSync("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.set_dictionary_settings(
dictionary_settings_params={
"disableStandardEntries": {
"plurals": {
"fr": False,
"en": False,
"ru": True,
},
},
},
)
# print the response
print(response)
# Initialize the client
client = Algolia::SearchClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY")
# Call the API
response = client.set_dictionary_settings(
Algolia::Search::DictionarySettingsParams.new(
disable_standard_entries: Algolia::Search::StandardEntries.new(plurals: {fr: false, en: false, ru: true})
)
)
# print the response
puts(response)
// Initialize the client
val client = SearchClient(appId = "ALGOLIA_APPLICATION_ID", apiKey = "ALGOLIA_API_KEY")
// Call the API
val response = Await.result(
client.setDictionarySettings(
dictionarySettingsParams = DictionarySettingsParams(
disableStandardEntries = StandardEntries(
plurals = Some(Map("fr" -> false, "en" -> false, "ru" -> true))
)
)
),
Duration(100, "sec")
)
// print the response
println(response)
// Initialize the client
let client = try SearchClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY")
// Call the API
let response = try await client
.setDictionarySettings(
dictionarySettingsParams: DictionarySettingsParams(disableStandardEntries: StandardEntries(plurals: [
"fr": false,
"en": false,
"ru": true,
]))
)
// print the response
print(response)
See the full API reference
For more details about input parameters
and response fields.